Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Class ArrayListDefinitionContainer

`java.lang.Object
java.util.AbstractCollection
java.util.AbstractList
java.util.ArrayList
oracle.binding.meta.ArrayListDefinitionContainer`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Collection, DefinitionContainer, java.util.List, java.util.RandomAccess, java.io.Serializable

public class ArrayListDefinitionContainer
extends java.util.ArrayList
implements DefinitionContainer

A class that implements the DefinitionContainer interface using an java.util.ArrayList for storage of Definition instances.
This class may be modified to expose the Iterator or List interface instead of extending java.util.ArrayList.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`ArrayListDefinitionContainer()` Default Constructor.

Method Summary
`Definition` | `find(java.lang.String definitionId)` Finds a Definition with the given id.
`int` | `getSize()` Returns the number of Definition instances contained in this ArrayListDefinitionContainer.
`Definition` | `item(int index)` Retrieves the Definition located at the given position in the array.

Methods inherited from class java.util.ArrayList
`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, get, indexOf, isEmpty, lastIndexOf, remove, removeRange, set, size, toArray, toArray, trimToSize`

Methods inherited from class java.util.AbstractList
`equals, hashCode, iterator, listIterator, listIterator, subList`

Methods inherited from class java.util.AbstractCollection
`containsAll, remove, removeAll, retainAll, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface oracle.binding.meta.DefinitionContainer
`isEmpty, iterator`

Methods inherited from interface java.util.List
`containsAll, equals, hashCode, iterator, listIterator, listIterator, remove, removeAll, retainAll, subList`

Constructor Detail

### ArrayListDefinitionContainer

    public ArrayListDefinitionContainer()

  Default Constructor.

Method Detail

### getSize

    public int getSize()

  Returns the number of Definition instances contained in this ArrayListDefinitionContainer.
  Returns:
    The number of definitions.

### item

    public Definition item(int index)

  Retrieves the Definition located at the given position in the array.
  Parameters:
    `index` - Position of the Definition to be retrieved.
  Returns:
    The Definition located at the given position in the array.

### find

    public Definition find(java.lang.String definitionId)

  Finds a Definition with the given id.
  Specified by:
    `find` in interface `DefinitionContainer`
  Parameters:
    `definitionId` - Identifier of the Definition that we want to find.
  Returns:
    The Definition object with the given identifier, or null if no such Definition is found.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.